Arch Panel Cut/de: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{Docnav/de
{{Docnav/de
|[[Arch_Panel/de|Tafel]]
|[[Arch_Panel/de|Tafel]]
Line 8: Line 9:
|IconR=Arch_Panel_Sheet.svg
|IconR=Arch_Panel_Sheet.svg
}}
}}
</div>


<div class="mw-translate-fuzzy">
{{GuiCommand/de
{{GuiCommand/de
|Name=Arch Panel Cut
|Name=Arch Panel Cut
Line 17: Line 20:
|SeeAlso=[[Arch Panel/de|Arch Platte]], [[Arch Panel Sheet/de|Arch Tafelplatte]], [[Arch Nest/de|Arch Verschachteln]], [[Path Workbench/de|Pfad Arbeitsbereich]]
|SeeAlso=[[Arch Panel/de|Arch Platte]], [[Arch Panel Sheet/de|Arch Tafelplatte]], [[Arch Nest/de|Arch Verschachteln]], [[Path Workbench/de|Pfad Arbeitsbereich]]
}}
}}
</div>


==Beschreibung==
==Beschreibung==


This tool creates, in the 3D document, a flat, 2D view of an [[Arch Panel]], to be included in an [[Arch Panel Sheet]] or directly exported to [[Draft DXF|DXF]]. The Panel Cut objects are also supported by the [[Path Workbench]].
This tool creates, in the 3D document, a flat, 2D view of an [[Arch_Panel|Arch Panel]], to be included in an [[Arch_Panel_Sheet|Arch Panel Sheet]] or directly exported to [[Draft_DXF|DXF]]. The Panel Cut objects are also supported by the [[Path_Workbench|Path Workbench]].


[[Image:Arch Wikihouse 02.jpg|1024px]]
[[Image:Arch Wikihouse 02.jpg|1024px]]
Line 26: Line 30:
==Anwendung==
==Anwendung==


<div class="mw-translate-fuzzy">
# Wähle ein oder mehrere [[Arch Panel/de|Arch Tafel]] Objekte aus.
# Wähle ein oder mehrere [[Arch Panel/de|Arch Tafel]] Objekte aus.
# Drücke die {{Button|[[Image:Arch Panel Cut.svg|16px]] [[Arch Panel Cut/de|Arch Tafelschnitt]]}} Schaltfläche, oder drücke die {{KEY|P}} dann {{KEY|C}} Tasten.
# Drücke die {{Button|[[Image:Arch Panel Cut.svg|16px]] [[Arch Panel Cut/de|Arch Tafelschnitt]]}} Schaltfläche, oder drücke die {{KEY|P}} dann {{KEY|C}} Tasten.
# Passe die gewünschten Eigenschaften an.
# Passe die gewünschten Eigenschaften an.
</div>


==Optionen==
==Optionen==
Line 41: Line 47:


=== Data ===
=== Data ===
* {{PropertyData|Source}}: The [[Arch Panel]] object shown by this Cut
* {{PropertyData|Source}}: The [[Arch_Panel|Arch Panel]] object shown by this Cut
* {{PropertyData|Tag Text}}: The text to display. Can be %tag%, %label% or %description% to display the panel tag or label
* {{PropertyData|Tag Text}}: The text to display. Can be %tag%, %label% or %description% to display the panel tag or label
* {{PropertyData|Tag Size}}: The size of the tag text
* {{PropertyData|Tag Size}}: The size of the tag text
Line 54: Line 60:


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


The Panel Cut tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Panel Cut tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
View = makePanelCut(panel, name="PanelView")}}
View = makePanelCut(panel, name="PanelView")}}
Line 91: Line 97:
== Tutorien ==
== Tutorien ==


* [[Wikihouse porting tutorial]]
* [[Wikihouse_porting_tutorial|Wikihouse porting tutorial]]


<div class="mw-translate-fuzzy">
{{Docnav/de
{{Docnav/de
|[[Arch_Panel/de|Tafel]]
|[[Arch_Panel/de|Tafel]]
Line 101: Line 108:
|IconR=Arch_Panel_Sheet.svg
|IconR=Arch_Panel_Sheet.svg
}}
}}
</div>


{{Arch Tools navi{{#translation:}}}}
{{Arch Tools navi{{#translation:}}}}

Revision as of 13:01, 1 December 2020

Arch Tafelschnitt

Menüeintrag
Arch → Tafelwerkzeuge → Tafelschnitt
Arbeitsbereich
Arch
Standardtastenkürzel
P C
Eingeführt in Version
-
Siehe auch
Arch Platte, Arch Tafelplatte, Arch Verschachteln, Pfad Arbeitsbereich

Beschreibung

This tool creates, in the 3D document, a flat, 2D view of an Arch Panel, to be included in an Arch Panel Sheet or directly exported to DXF. The Panel Cut objects are also supported by the Path Workbench.

Anwendung

  1. Wähle ein oder mehrere Arch Tafel Objekte aus.
  2. Drücke die Arch Tafelschnitt Schaltfläche, oder drücke die P dann C Tasten.
  3. Passe die gewünschten Eigenschaften an.

Optionen

  • If the panel is not flat (corrugated, for example), the relief won't appear in the Panel cut. This tool is useful mainly for flat panels
  • The panel cut can display a tag. This tag can be a custom line of text or can automatically show the Tag, Label or Description of its linked Panel.
  • To be useful for CNC machining, the tag should be written using a sticky font, where letters are simple polylines that are easy for the machine to follow. Upon creation, the Panel Cut object will automatically use the font specified in Edit → Preferences → Draft → Texts and Dimensions → ShapeString Font
  • Double-clicking on the panel cut in the tree view after it is created allows you to enter edit mode and modify the position of the tag
  • When you need to layout different Panel Cuts together, Panel Cuts can display a margin, that is useful to make sure a certain space is always present between a cut and another

Eigenschaften

Data

  • DatenSource: The Arch Panel object shown by this Cut
  • DatenTag Text: The text to display. Can be %tag%, %label% or %description% to display the panel tag or label
  • DatenTag Size: The size of the tag text
  • DatenTag Position: The position of the tag text. Keep (0,0,0) for automatic center position
  • DatenTag Rotation: The rotation of the tag text
  • DatenFont File: The font of the tag text
  • DatenMake Face: If True, the panel is a Part Face, otherwise a Part Wire

View

  • AnsichtMargin: A margin that can be displayed outside the panel cut shape
  • AnsichtShow Margin: Turns the display of the margin on/off

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Panel Cut tool can be used in macros and from the Python console by using the following function:

View = makePanelCut(panel, name="PanelView")
  • Creates a View object (2D projection) from the existing panel.

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(500, 0, 0)
p3 = FreeCAD.Vector(500, 50, 0)
p4 = FreeCAD.Vector(550, 50, 0)
p5 = FreeCAD.Vector(600, 0, 0)
p6 = FreeCAD.Vector(1000, 0, 0)
p7 = FreeCAD.Vector(1000, 400, 0)
p8 = FreeCAD.Vector(600, 400, 0)
p9 = FreeCAD.Vector(600, 350, 0)
p10 = FreeCAD.Vector(550, 350, 0)
p11 = FreeCAD.Vector(500, 400, 0)
p12 = FreeCAD.Vector(0, 400, 0)

Wire = Draft.makeWire([p1, p2, p3, p4, p5, p6,
                       p7, p8, p8, p9, p10, p11, p12], closed=True)
Panel = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

View = Arch.makePanelCut(Panel)
View.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()

Tutorien